// ==UserScript==
// @name          Ограничение ширины текста
// @version       0.2
// @namespace     http://glesik.ru/
// @description   Ограничивает ширину текста на ряде сайтов для комфортного чтения. Поддерживает Dirty.Ru, LiveJournal, форумы "Проектов Петербурга" и ВелоПитера.
// @icon          http://glesik.ru/playground/greasemonkey/text_width_limit.png
// @copyright     Copyright 2012 Alexander Inglessi http://glesik.ru/
// @license       GNU GPL version 3 or later; http://www.gnu.org/copyleft/gpl.html
// @include       http://*dirty.ru/*
// @include       http://*.livejournal.com/*
// @include       http://spb-projects.ru/forum/*
// @include       http://velopiter.spb.ru/forum/*
// @grant         GM_addStyle
// ==/UserScript==

// 0.2  New LiveJournal.com rules, @grant and @icon directives.

max_width = "40em"

var host = window.location.host

if (host.indexOf("dirty.ru") !=-1) {
  GM_addStyle(".dt { width: " + max_width + "; }");     // posts
  GM_addStyle(".c_body { width: " + max_width + "; }"); // comments
}

if (host.indexOf("livejournal.com") !=-1) {
  GM_addStyle(".b-singlepost-body { display: inline-block; width: " + max_width + ";}"); // posts
  GM_addStyle(".H3Holder { display: inline-block; width: " + max_width + ";}");
  GM_addStyle("TD.entry { display: inline-block; width: " + max_width + ";}");
  GM_addStyle("table.entry { display: inline-block; width: " + max_width + ";}");
  GM_addStyle(".b-leaf { display: inline-block; width: " + max_width + ";}");            // comments
  GM_addStyle("tr div div { display: inline-block; width: " + max_width + ";}");
}

if (host.indexOf("spb-projects.ru") !=-1) {
  GM_addStyle(".postbody { display: block; width: " + max_width + ";}"); // posts
  GM_addStyle(".quote { display: block; width: " + max_width + ";}");    // quotes
}

if (host.indexOf("velopiter.spb.ru") !=-1) {
  GM_addStyle(".MsgBodyText { display: inline-block; width: " + max_width + ";}");
}

